#pragma once

#include "Drawing.h"

namespace Framework
{
    class Slider : public DrawableBackground
    {
    private:
        float value;

    public:
        DLLEXPORT Slider();
        DLLEXPORT ~Slider();
        DLLEXPORT void setValue(float value);
        DLLEXPORT float getValue() const;
        //! Processes a mouse event. Called automatically by the framework.
        //! \param me The event
        DLLEXPORT void doMouseEvent(MouseEvent& me, bool userRet) override;
        //! Draws the drawing into a specific image
        //! \param zRObj The image to draw into
        DLLEXPORT void render(Image& zRObj) override;
    };
} // namespace Framework